# TOHLE JE SKRIPT PRO VYKRESLEN POLRNHO GRAFU JEN STI KRUNICE
# OSY JSOU POPISOVNY MANULN, PROTOE NEJSOU PRAVIDELN

set title "Jin primitivn polrn graf"

unset border
set clip
set angles degrees
set polar
set xtics axis nomirror

# tm vyadm popisek os Y
set noytics

# nastavm polrn mku po 10 stupnch
set grid polar 10
set style data line

#rozsah hl v radinech od -90 do 90 stup
set trange [-0.5*pi:0.5*pi]

#rozsah polomr (rdius) od 0 do 1
set rrange [0:1]

set zeroaxis

# popisky radiusovch polopmek musm udlat run
# ideln by bylo v njakm cyklu, ale to asi nejde. 
# pouiji skript inspirovan strnkami http://www.roucka.eu/

r0 = 1.01		# vychozi vzdalenost popisku od pocatku. nekdy to ale nevyhovuje...
phi0 = 0.5	# pootoceni pocatecniho uhlu - aby nebyl popisek pmo na ose
x0 = 0			# posunuti pocatku X souradnic
y0 = 0			# posuniti pocatku Y souradnic

# definuji si trafo fuknci pro umisovn popisk do obrzku
lx(phi,r)=r*cos(phi+phi0)+x0
ly(phi,r)=r*sin(phi+phi0)+y0

# popisky po stupnch
# vyaduje to run pravu vzdlenosti, protoe mm jen vez z celho kruhu

set label 1 '0' at lx(0,r0),ly(0,r0)
set label 2 '10' at lx(10,r0),ly(10,r0)
set label 3 '-10' at lx(-10,r0),ly(-10,r0)
set label 4 '20' at lx(20,0.63),ly(20,0.63)
set label 5 '-20' at lx(-20,.71),ly(-20,.71)
set label 6 '30' at lx(30,.42),ly(30,.42)
set label 7 '-30' at lx(-30,.50),ly(-30,.50)


# konec popisk os, zan vykreslen dat

plot "-"

	40 0
	30 0.04
	20 0.63
	10 0.8
	0 1
	-10 0.96
	-20 0.72
	-30 0.31
	-40 0.12
	-50 0
e

reset